APPS.MSC_DEMANTRA_PKG PACKAGE WILL NOT COMPILE (Doc ID 1067492.1)

Last updated on AUGUST 29, 2016

Applies to:

Oracle Demantra Advanced Forecasting and Demand Modeling - Version 7.0.2 to 7.3.1 [Release 7 to 7.3.0]
Oracle Advanced Supply Chain Planning - Version 12.1 to 12.1.3 [Release 12.1]
Information in this document applies to any platform.
***Checked for relevance on 31-May-2013***

Symptoms


New install of Demantra integrated with EBS/VCP:

When checking VCP instance for invalid
objects, find Apps.MSC_DEMANTRA_PKG package
is invalid will not re-compile.

ERROR
-----------------------
At recompile the error is as follows:

Error(349,17): PL/SQL: ORA-00980: synonym translation is no longer valid

STEPS TO REPRODUCE
------------------------
1. Run the following query on the VCP Destination instance
SQL> select * from all_objects where status='INVALID.

2. Attempt to re-compile the package.

BUSINESS IMPACT
-----------------------
Package procedures will not run.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms